<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KFileWidget</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KFileWidget Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>,<a href="../kio/KAbstractFileWidget.html">KAbstractFileWidget</a><br />


<h2>Detailed Description</h2>


<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169935500">accepted</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169938796">fileHighlighted</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186460812">fileSelected</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169938508">filterChanged</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169936812">selectionChanged</a> ()</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184684684">__init__</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> startDir, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186460300">accept</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169935500">accepted</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KActionCollection.html">KActionCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184851820">actionCollection</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184653740">baseUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169999116">cancelButton</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180728140">clearFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184070860">currentFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KMimeType.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184071340">currentFilterMimeType</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180731596">currentMimeFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186461644">eventFilter</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> watched, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qevent.html">QEvent</a> event)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169938796">fileHighlighted</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186460812">fileSelected</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169938508">filterChanged</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KFileFilterCombo.html">KFileFilterCombo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184850732">filterWidget</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184071372">keepsLocation</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KUrlComboBox.html">KUrlComboBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184849708">locationEdit</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KFile.Modes&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169999084">mode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169999500">okButton</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KAbstractFileWidget.OperationMode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184654476">operationMode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186460108">resizeEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qresizeevent.html">QResizeEvent</a> event)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164518924">selectedFile</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184654636">selectedFiles</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164519916">selectedUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164517452">selectedUrls</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169936812">selectionChanged</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184851244">setCustomWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189034412">setCustomWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184070988">setFilter</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184652044">setKeepLocation</a> (self, bool keep)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169999948">setLocationLabel</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180728748">setMimeFilter</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> types, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> defaultType=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169998572">setMode</a> (self, KFile.Modes m)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184654220">setOperationMode</a> (self, KAbstractFileWidget.OperationMode a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180729292">setPreviewWidget</a> (self, <a href="../kio/KPreviewWidgetBase.html">KPreviewWidgetBase</a> w)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184655436">setSelection</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184653132">setUrl</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, bool clearforward=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186460556">showEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qshowevent.html">QShowEvent</a> event)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186459660">slotCancel</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186459212">slotOk</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KToolBar.html">KToolBar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169999756">toolBar</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189032972">virtual_hook</a> (self, int id, void data)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184851916">getStartUrl</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> recentDirClass)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184849644">setStartDir</a> (<a href="../kdecore/KUrl.html">KUrl</a> directory)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj184684684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a file selector widget.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies
which files to display.
See setFilter() and setMimeFilter() for details on how to use this argument.
</td></tr>

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The parent widget of this widget
</td></tr>

<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> A widget, or a widget of widgets, for displaying custom
data in the file widget. This can be used, for example, to
display a check box with the caption "Open as read-only".
When creating this widget, you don't need to specify a parent,
since the widget's parent will be set automatically by KFileWidget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186460300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> accept</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj169935500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> accepted</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Emitted by slotOk() (directly or asynchronously) once everything has
been done. Should be used by the caller to call accept().
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("accepted()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj184851820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KActionCollection.html">KActionCollection</a> actionCollection</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the action collection, holding all the used
KActions.
</dd></dl>
</p></div></div><a class="anchor" name="obj184653740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> baseUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the currently shown directory.
</dd></dl>
</p></div></div><a class="anchor" name="obj169999116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> cancelButton</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the Cancel-Button in the filedialog.
Note that the button is hidden and unconnected when using KFileWidget alone;
KFileDialog shows it and connects to it.
</dd></dl>
</p></div></div><a class="anchor" name="obj180728140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clearFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Clears any mime- or namefilter. Does not reload the directory.
</p></div></div><a class="anchor" name="obj184070860"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> currentFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the current filter as entered by the user or one of the
predefined set via setFilter().
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setFilter()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> filterChanged()
</dd></dl>
</p></div></div><a class="anchor" name="obj184071340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KMimeType.Ptr currentFilterMimeType</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the mimetype for the desired output format.
</p>
<p>
This is only valid if setFilterMimeType() has been called
previously.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setFilterMimeType()
</dd></dl>
</p></div></div><a class="anchor" name="obj180731596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> currentMimeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The mimetype for the desired output format.
</p>
<p>
This is only valid if setMimeFilter() has been called
previously.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setMimeFilter()
</dd></dl>
</p></div></div><a class="anchor" name="obj186461644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool eventFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>watched</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qevent.html">QEvent</a>&nbsp;</td>
<td class="paramname"><em>event</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj169938796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fileHighlighted</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the user highlights a file.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("fileHighlighted(const QString&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj186460812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fileSelected</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the user selects a file. It is only emitted in single-
selection mode. The best way to get notified about selected file(s)
is to connect to the okClicked() signal inherited from KDialog
and call selectedFile(), selectedFiles(),
selectedUrl() or selectedUrls().
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("fileSelected(const QString&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj169938508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> filterChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the filter changed, i.e. the user entered an own filter
or chose one of the predefined set via setFilter().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> contains the new filter (only the extension part,
not the explanation), i.e. "*.cpp" or "*.cpp *.cc".
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> setFilter()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> currentFilter()
</dd></dl>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("filterChanged(const QString&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj184850732"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KFileFilterCombo.html">KFileFilterCombo</a> filterWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the combobox that contains the filters
</dd></dl>
</p></div></div><a class="anchor" name="obj184851916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> getStartUrl</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>recentDirClass</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This method implements the logic to determine the user's default directory
to be listed. E.g. the documents directory, home directory or a recently
used directory.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> A url, to be used. May use the 'kfiledialog:keyword' and
'kfiledialog:keyword?global' syntax
as documented in the KFileDialog() constructor.

<tr><td></td><td valign="top"><em>recentDirClass</em>&nbsp;</td><td> If the 'kfiledialog:' syntax is used, recentDirClass
will contain the string to be used later for KRecentDir.dir()
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The URL that should be listed by default (e.g. by KFileDialog or
KDirSelectDialog).
</dd></dl>
</p></div></div><a class="anchor" name="obj184071372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keepsLocation</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> whether the contents of the location edit are kept when
changing directories.
</dd></dl>
</p></div></div><a class="anchor" name="obj184849708"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KUrlComboBox.html">KUrlComboBox</a> locationEdit</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the combobox used to type the filename or full location of the file.
</dd></dl>
</p></div></div><a class="anchor" name="obj169999084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KFile.Modes mode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the mode of the filedialog.
<dl class="see" compact><dt><b>See also:</b></dt><dd> setMode()
</dd></dl>
</p></div></div><a class="anchor" name="obj169999500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> okButton</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the OK-Button in the filedialog.
Note that the button is hidden and unconnected when using KFileWidget alone;
KFileDialog shows it and connects to it.
</dd></dl>
</p></div></div><a class="anchor" name="obj184654476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KAbstractFileWidget.OperationMode operationMode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the current operation mode, Opening, Saving or Other. Default
is Other.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFileWidget.OperationMode
</dd></dl>
</p></div></div><a class="anchor" name="obj186460108"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> resizeEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qresizeevent.html">QResizeEvent</a>&nbsp;</td>
<td class="paramname"><em>event</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj164518924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> selectedFile</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the full path of the selected file in the local filesystem.
(Local files only)
</p></div></div><a class="anchor" name="obj184654636"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> selectedFiles</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a list of all selected local files.
</p></div></div><a class="anchor" name="obj164519916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> selectedUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The selected fully qualified filename.
</dd></dl>
</p></div></div><a class="anchor" name="obj164517452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.List.html">KUrl.List</a> selectedUrls</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The list of selected URLs.
</dd></dl>
</p></div></div><a class="anchor" name="obj169936812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> selectionChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Emitted when the user hilights one or more files in multiselection mode.
</p>
<p>
Note: fileHighlighted() or fileSelected() are <b>not</b>
emitted in multiselection mode. You may use selectedItems() to
ask for the current highlighted items.
<dl class="see" compact><dt><b>See also:</b></dt><dd> fileSelected
</dd></dl>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("selectionChanged()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj184851244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCustomWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set a custom widget that should be added to the file dialog.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> A widget, or a widget of widgets, for displaying custom
data in the file widget. This can be used, for example, to
display a check box with the caption "Open as read-only".
When creating this widget, you don't need to specify a parent,
since the widget's parent will be set automatically by KFileWidget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj189034412"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCustomWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets a custom widget that should be added below the location and the filter
editors.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> Label of the custom widget, which is displayed below the labels
"Location:" and "Filter:".

<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> Any kind of widget, but preferable a combo box or a line editor
to be compliant with the location and filter layout.
When creating this widget, you don't need to specify a parent,
since the widget's parent will be set automatically by KFileWidget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj184070988"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the filter to be used to <b>filter.</b>
</p>
<p>
You can set more
filters for the user to select separated by '\n'. Every
filter entry is defined through namefilter|text to diplay.
If no | is found in the expression, just the namefilter is
shown. Examples:
</p>
<p>
<pre class="fragment">
 kfile-&gt;setFilter("*.cpp|C++ Source Files\n*.h|Header files");
 kfile-&gt;setFilter("*.cpp");
 kfile-&gt;setFilter("*.cpp|Sources (*.cpp)");
 kfile-&gt;setFilter("*.cpp|" + i18n("Sources (*.cpp)"));
 kfile-&gt;setFilter("*.cpp *.cc *.C|C++ Source Files\n*.h *.H|Header files");
</pre>
</p>
<p>
Note: The text to display is not parsed in any way. So, if you
want to show the suffix to select by a specific filter, you must
repeat it.
</p>
<p>
If the filter contains an unescaped '/', a mimetype-filter is assumed.
If you would like a '/' visible in your filter it can be escaped with
a '\'. You can specify multiple mimetypes like this (separated with
space):
</p>
<p>
<pre class="fragment">
 kfile-&gt;setFilter( "image/png text/html text/plain" );
 kfile-&gt;setFilter( "*.cue|CUE\\/BIN Files (*.cue)" );
</pre>
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> filterChanged
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setMimeFilter
</dd></dl>
</p></div></div><a class="anchor" name="obj184652044"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setKeepLocation</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>keep</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets whether the filename/url should be kept when changing directories.
This is for example useful when having a predefined filename where
the full path for that file is searched.
</p>
<p>
This is implicitly set when operationMode() is KFileWidget.Saving
</p>
<p>
getSaveFileName() and getSaveUrl() set this to true by default, so that
you can type in the filename and change the directory without having
to type the name again.
</p></div></div><a class="anchor" name="obj169999948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setLocationLabel</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the text to be displayed in front of the selection.
</p>
<p>
The default is "Location".
Most useful if you want to make clear what
the location is used for.
</p></div></div><a class="anchor" name="obj180728748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMimeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>types</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>defaultType=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the filter up to specify the output type.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>types</em>&nbsp;</td><td> a list of mimetypes that can be used as output format

<tr><td></td><td valign="top"><em>defaultType</em>&nbsp;</td><td> the default mimetype to use as output format, if any.
If <b>defaultType</b> is set, it will be set as the current item.
Otherwise, a first item showing all the mimetypes will be created.
Typically, <b>defaultType</b> should be empty for loading and set for saving.
</td></tr>
</table></dl>
<p> Do not use in conjunction with setFilter()
</p></div></div><a class="anchor" name="obj169998572"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFile.Modes&nbsp;</td>
<td class="paramname"><em>m</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the mode of the dialog.
</p>
<p>
The mode is defined as (in kfile.h):
<pre class="fragment">
    enum Mode {
         File         = 1,
         Directory    = 2,
         Files        = 4,
         ExistingOnly = 8,
         LocalOnly    = 16
    };
</pre>
You can OR the values, e.g.
<pre class="fragment">
 KFile.Modes mode = KFile.Files |
                     KFile.ExistingOnly |
                     KFile.LocalOnly );
 setMode( mode );
</pre>
</p></div></div><a class="anchor" name="obj184654220"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setOperationMode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KAbstractFileWidget.OperationMode&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the operational mode of the filedialog to <b>Saving,</b> <b>Opening</b>
or <b>Other.</b> This will set some flags that are specific to loading
or saving files. E.g. setKeepLocation() makes mostly sense for
a save-as dialog. So setOperationMode( KFileWidget.Saving ); sets
setKeepLocation for example.
</p>
<p>
The mode <b>Saving,</b> together with a default filter set via
setMimeFilter() will make the filter combobox read-only.
</p>
<p>
The default mode is <b>Opening.</b>
</p>
<p>
Call this method right after instantiating KFileWidget.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFileWidget.OperationMode
</dd></dl>
</p></div></div><a class="anchor" name="obj180729292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPreviewWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KPreviewWidgetBase.html">KPreviewWidgetBase</a>&nbsp;</td>
<td class="paramname"><em>w</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Adds a preview widget and enters the preview mode.
</p>
<p>
In this mode the dialog is split and the right part contains your
preview widget.
</p>
<p>
Ownership is transferred to KFileWidget. You need to create the
preview-widget with "new", i.e. on the heap.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> The widget to be used for the preview.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj184655436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setSelection</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the file name to preselect to <b>name</b>
</p>
<p>
This takes absolute URLs and relative file names.
</p></div></div><a class="anchor" name="obj184849644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setStartDir</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>directory</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Used by KDirSelectDialog to share the dialog's start directory.
</dd></dl>
</p></div></div><a class="anchor" name="obj184653132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>clearforward=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the directory to view.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> URL to show.

<tr><td></td><td valign="top"><em>clearforward</em>&nbsp;</td><td> Indicates whether the forward queue
should be cleared.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj186460556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> showEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qshowevent.html">QShowEvent</a>&nbsp;</td>
<td class="paramname"><em>event</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj186459660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotCancel</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj186459212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotOk</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Called when clicking ok (when this widget is used in KFileDialog)
Might or might not call accept().
</p></div></div><a class="anchor" name="obj169999756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KToolBar.html">KToolBar</a> toolBar</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a pointer to the toolbar.
</p>
<p>
You can use this to insert custom
items into it, e.g.:
<pre class="fragment">
      yourAction = new KAction( i18n("Your Action"), 0,
                                this, SLOT( yourSlot() ),
                                this, "action name" );
      yourAction-&gt;plug( kfileDialog-&gt;toolBar() );
</pre>
</p></div></div><a class="anchor" name="obj189032972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> virtual_hook</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">void&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd> for future extensions
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
